## lua-nginx-kafka 0.05

=== Makefile ===
OPENRESTY_PREFIX=/opt/openresty

PREFIX ?=          /usr/local
LUA_INCLUDE_DIR ?= $(PREFIX)/include
LUA_LIB_DIR ?=     $(PREFIX)/lib/lua/$(LUA_VERSION)
INSTALL ?= install

.PHONY: all test install

all: ;

install: all
	$(INSTALL) -d $(DESTDIR)/$(LUA_LIB_DIR)/resty/kafka
	$(INSTALL) lib/resty/kafka/*.lua $(DESTDIR)/$(LUA_LIB_DIR)/resty/kafka

test: all
	PATH=$(OPENRESTY_PREFIX)/nginx/sbin:$$PATH prove -I../../test-nginx/lib -r t/

=== debian/changelog ===
lua-nginx-kafka (0.05-4) unstable; urgency=medium

  * Fix Vcs-Git.
  * Update copyright.
  * Use override rule to do resty to nginx conversion.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 20 Nov 2015 11:11:46 +0800

lua-nginx-kafka (0.05-3) unstable; urgency=medium

  * Patch to rename from resty to nginx.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 18 Nov 2015 14:32:26 +0800

lua-nginx-kafka (0.05-2) unstable; urgency=medium

  * Remove unused README.Debian.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 16 Nov 2015 09:01:50 +0800

lua-nginx-kafka (0.05-1) unstable; urgency=low

  * Initial release. Closes: #804951

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 13 Nov 2015 14:51:30 +0800

=== debian/control ===
Source: lua-nginx-kafka
Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: interpreters
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-lua,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/lua-nginx-kafka.git/?h=debian/sid
Vcs-Git: git://anonscm.debian.org/collab-maint/lua-nginx-kafka.git -b debian/sid
Homepage: https://github.com/doujiang24/lua-resty-kafka

Package: lua-nginx-kafka
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Pure Lua Kafka producer for the nginx embedded Lua language
 Lua kafka client driver for the ngx_lua based on the cosocket API.

## lua-nginx-kafka 0.06

=== debian/changelog ===
lua-nginx-kafka (0.06-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.
  * Bump compat to 10.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 10 Oct 2016 17:49:31 +0800

=== debian/control ===
Source: lua-nginx-kafka
Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: interpreters
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-lua,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/lua-nginx-kafka.git
Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/lua-nginx-kafka.git
Homepage: https://github.com/doujiang24/lua-resty-kafka

Package: lua-nginx-kafka
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Pure Lua Kafka producer for the nginx embedded Lua language
 Lua kafka client driver for the ngx_lua based on the cosocket API.

## lua-nginx-kafka 0.07

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-OPENRESTY_PREFIX=/opt/openresty
+OPENRESTY_PREFIX=/usr/local/openresty-debug
 
 PREFIX ?=          /usr/local
 LUA_INCLUDE_DIR ?= $(PREFIX)/include

=== debian/changelog ===
lua-nginx-kafka (0.07-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.
  * Bump Standards-Version to 4.4.0.
    * Set Rules-Requires-Root to no.
  * Bump compat to 12.
    * Use debhelper-compat.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 29 Sep 2019 21:32:44 +0800

=== debian/control ===
Source: lua-nginx-kafka
Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: interpreters
Priority: optional
Build-Depends: debhelper (>= 12),
               debhelper-compat (= 12),
               dh-lua,
Rules-Requires-Root: no
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/debian/lua-nginx-kafka
Vcs-Git: https://salsa.debian.org/debian/lua-nginx-kafka.git
Homepage: https://github.com/doujiang24/lua-resty-kafka

Package: lua-nginx-kafka
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Pure Lua Kafka producer for the nginx embedded Lua language
 Lua kafka client driver for the ngx_lua based on the cosocket API.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_configure:
	perl -i -pe s/resty/nginx/g lib/resty/kafka/*.lua
	dh_auto_configure

override_dh_auto_clean:
	dh_auto_clean
	perl -i -pe s/nginx/resty/g lib/resty/kafka/*.lua

=== debian/watch ===
version=3
https://github.com/doujiang24/lua-resty-kafka/releases .*/v([\d\.]*)\.tar.gz
